DECLARE @SysSchemaId uniqueidentifier;
DECLARE @SysPackageId uniqueidentifier;

SELECT @SysSchemaId = Id FROM SysSchema
WHERE [Name] = 'TriggerEmailPageV2';
SELECT @SysPackageId = Id FROM SysPackage
WHERE [Name] = 'MarketingCampaign';

INSERT INTO [dbo].[SysLocalizableValue]([Id], [CreatedOn], [CreatedById], [ModifiedOn], [ModifiedById], [SysPackageId], [SysSchemaId], [ResourceManager], [SysCultureId], [ResourceType], [IsChanged], [Key], [Value], [ImageData], [ProcessListeners])
SELECT [Id], [CreatedOn], [CreatedById], [ModifiedOn], [ModifiedById], [SysPackageId], [SysSchemaId], [ResourceManager], [SysCultureId], [ResourceType], [IsChanged], [Key], [Value], [ImageData], [ProcessListeners] FROM ( 
SELECT N'275ebe52-7816-45c1-8d93-01147f828ca9' [Id], '20181030 10:50:27.948' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.948' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForTemplateNotFound.Value' [Key], N'Template not found' [Value], NULL [ImageData], 0  [ProcessListeners]UNION ALL
SELECT N'b66a46f8-b469-4d60-bafb-34c7f477d3b6' [Id], '20181030 10:50:27.944' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.944' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForBlankEmail.Value' [Key], N'Blank email' [Value], NULL [ImageData], 0 UNION ALL
SELECT N'98ac0494-c894-44b8-84be-4822d3cb274e' [Id], '20181030 10:50:27.947' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.947' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForCommunicationLimit.Value' [Key], N'Communication limit' [Value], NULL [ImageData], 0 [ProcessListeners] UNION ALL
SELECT N'b2019345-5242-4447-9ec6-611e2a926c69' [Id], '20181030 10:50:27.949' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.949' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDeliveryError.Value' [Key], N'Delivery error' [Value], NULL [ImageData], 0 [ProcessListeners] UNION ALL
SELECT N'5e907dd1-965e-4c79-8624-651949bae019' [Id], '20181030 10:50:27.946' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.946' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForUnreachableEmail.Value' [Key], N'Unreachable email' [Value], NULL [ImageData], 0 [ProcessListeners] UNION ALL
SELECT N'cd1be612-e8e5-4ba7-b8b4-8abf9f8b6520' [Id], '20181030 10:50:27.947' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.947' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDoNotUseEmail.Value' [Key], N'Do not use email' [Value], NULL [ImageData], 0 [ProcessListeners] UNION ALL
SELECT N'b2c7cc4f-a359-468c-8e7a-acb1ce0150b0' [Id], '20181030 10:50:27.945' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.945' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForIncorrectEmail.Value' [Key], N'Incorrect email' [Value], NULL [ImageData], 0 [ProcessListeners] UNION ALL
SELECT N'e65440c4-099a-450e-94fe-ecabb3c23405' [Id], '20181030 10:50:27.944' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.944' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'a5420246-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDuplicateEmail.Value' [Key], N'Duplicate email' [Value], NULL [ImageData], 0 [ProcessListeners]
) a
WHERE [Key] not in  (
SELECT [Key] FROM [SysLocalizableValue] WHERE [key] in ( N'LocalizableStrings.IndicatorCaptionForTemplateNotFound.Value', N'LocalizableStrings.IndicatorCaptionForBlankEmail.Value', N'LocalizableStrings.IndicatorCaptionForCommunicationLimit.Value', N'LocalizableStrings.IndicatorCaptionForDeliveryError.Value', N'LocalizableStrings.IndicatorCaptionForUnreachableEmail.Value', N'LocalizableStrings.IndicatorCaptionForDoNotUseEmail.Value', N'LocalizableStrings.IndicatorCaptionForIncorrectEmail.Value', N'LocalizableStrings.IndicatorCaptionForDuplicateEmail.Value')
AND [SysCultureId] = N'a5420246-0a8e-e111-84a3-00155d054c03'
AND [SysSchemaId] = @SysSchemaId
AND [SysPackageId] = @SysPackageId
);

IF EXISTS (SELECT 1 FROM [dbo].[SysCulture] WHERE [Id] =  N'1a778e3f-0a8e-e111-84a3-00155d054c03')
BEGIN
	INSERT INTO [dbo].[SysLocalizableValue]([Id], [CreatedOn], [CreatedById], [ModifiedOn], [ModifiedById], [SysPackageId], [SysSchemaId], [ResourceManager], [SysCultureId], [ResourceType], [IsChanged], [Key], [Value], [ImageData], [ProcessListeners])
	SELECT [Id], [CreatedOn], [CreatedById], [ModifiedOn], [ModifiedById], [SysPackageId], [SysSchemaId], [ResourceManager], [SysCultureId], [ResourceType], [IsChanged], [Key], [Value], [ImageData], [ProcessListeners] FROM ( 
	SELECT N'b45a1647-77dc-47e8-87c5-01a9aa411107' [Id], '20181030 10:50:27.919' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.919' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDeliveryError.Value' [Key], N'Ошибка доставки' [Value], NULL [ImageData], 0  [ProcessListeners] UNION ALL
	SELECT N'0283608c-1d6c-4674-a9c4-714ca049feef' [Id], '20181030 10:50:27.918' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.918' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForTemplateNotFound.Value' [Key], N'Шаблон не найден' [Value], NULL [ImageData], 0 [ProcessListeners]  UNION ALL
	SELECT N'a3c77b3a-8ed9-4cee-bd63-74dac20c12a6' [Id], '20181030 10:50:27.916' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.916' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForIncorrectEmail.Value' [Key], N'Некорректный email' [Value], NULL [ImageData], 0 [ProcessListeners]  UNION ALL
	SELECT N'cebe5189-18df-4eef-85f2-7c79ac622e14' [Id], '20181030 10:50:27.918' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.918' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDoNotUseEmail.Value' [Key], N'Не использовать email' [Value], NULL [ImageData], 0 [ProcessListeners]  UNION ALL
	SELECT N'5586f86c-0a89-484f-80a1-b5b24c46c53e' [Id], '20181030 10:50:27.917' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.917' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForCommunicationLimit.Value' [Key], N'Ограничение коммуникаций' [Value], NULL [ImageData], 0 [ProcessListeners]  UNION ALL
	SELECT N'4dfb3906-c61e-4d16-8f95-dc1fc0ddfef1' [Id], '20181030 10:50:27.914' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.914' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForDuplicateEmail.Value' [Key], N'Дубль emailа' [Value], NULL [ImageData], 0 [ProcessListeners]  UNION ALL
	SELECT N'a4a6890e-e44b-4804-ab8d-efba6cbb7c87' [Id], '20181030 10:50:27.916' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.916' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForUnreachableEmail.Value' [Key], N'Недоступный email' [Value], NULL [ImageData], 0  [ProcessListeners] UNION ALL
	SELECT N'3843ecb8-f74b-4f46-857e-f6db00cbb759' [Id], '20181030 10:50:27.915' [CreatedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [CreatedById], '20181030 10:50:27.915' [ModifiedOn], N'7f3b869f-34f3-4f20-ab4d-7480a5fdf647' [ModifiedById], @SysPackageId [SysPackageId], @SysSchemaId [SysSchemaId], N'' [ResourceManager], N'1a778e3f-0a8e-e111-84a3-00155d054c03' [SysCultureId], 0 [ResourceType], 1 [IsChanged], N'LocalizableStrings.IndicatorCaptionForBlankEmail.Value' [Key], N'Не заполнен email' [Value], NULL [ImageData], 0 [ProcessListeners] 
	) b
	WHERE [Key] not in  (
	SELECT [Key] FROM [SysLocalizableValue] WHERE [key] in ( N'LocalizableStrings.IndicatorCaptionForTemplateNotFound.Value', N'LocalizableStrings.IndicatorCaptionForBlankEmail.Value', N'LocalizableStrings.IndicatorCaptionForCommunicationLimit.Value', N'LocalizableStrings.IndicatorCaptionForDeliveryError.Value', N'LocalizableStrings.IndicatorCaptionForUnreachableEmail.Value', N'LocalizableStrings.IndicatorCaptionForDoNotUseEmail.Value', N'LocalizableStrings.IndicatorCaptionForIncorrectEmail.Value', N'LocalizableStrings.IndicatorCaptionForDuplicateEmail.Value')
	AND [SysCultureId] = N'1a778e3f-0a8e-e111-84a3-00155d054c03'
	AND [SysSchemaId] = @SysSchemaId
	AND [SysPackageId] = @SysPackageId
);
END
