﻿BEGIN
	DECLARE
		@bankOnBoardingPackagesFound INT,
		@bankSalesPackagesFound INT,
		@lendingPackagesFound INT;

	SET @bankOnBoardingPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'BankOnboarding');
	SET @bankSalesPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'BankSales');
	SET @lendingPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'Lending');

	IF (@bankOnBoardingPackagesFound > 0)
	BEGIN
		DELETE ContextHelp WHERE Code = 'BankCustomerJourneyIntroPage';
	END;

	IF (@bankSalesPackagesFound > 0)
	BEGIN
		DELETE ContextHelp WHERE Code IN (
			'BankSalesIntro',
			'LeadPageV2',
			'LeadSectionV2'
		);
	END;

	IF (@lendingPackagesFound > 0)
	BEGIN
		DELETE ContextHelp WHERE Code = 'LendingIntroPage';
	END;
END;
