INSERT INTO MLClassificationResult (Id, [Key], [Value], Probability, ModelInstanceUId, ModelId, Significance, CreatedOn, CreatedById, ModifiedOn, ModifiedById)
SELECT p.Id, [Key], TRY_CAST([Value] AS UNIQUEIDENTIFIER), Probability, p.ModelInstanceUId, ModelId, Significance, p.CreatedOn, p.CreatedById, p.ModifiedOn, p.ModifiedById
FROM MLPrediction p
JOIN MLModel m ON p.ModelId = m.Id
WHERE m.MLProblemTypeId = '{878EBE11-B0F3-43AE-88A5-E28C4F1DC4E3}';

DELETE FROM MLPrediction
WHERE EXISTS (
	SELECT NULL
	FROM MLClassificationResult
	WHERE MLPrediction.Id = MLClassificationResult.Id
);
