BEGIN
	DECLARE @SupportServiceEmailId UNIQUEIDENTIFIER;
	DECLARE @SupportServiceEmail NVARCHAR(25) = 'SupportServiceEmail';
	DECLARE @SupportServiceEmailTextValue NVARCHAR(25);
	DECLARE @SSpRegistrationMailboxSettingId UNIQUEIDENTIFIER = '7FF413E3-D583-4B88-88D9-B074E3302AAC';
	
	DECLARE SysSettingsValueCursor CURSOR FAST_FORWARD FOR
	SELECT [SysSettingsValue].[TextValue]
	FROM [SysSettingsValue]
		INNER JOIN [SysSettings] ON [SysSettings].[Id] = [SysSettingsValue].[SysSettingsId]
	WHERE [SysSettings].[Code] = @SupportServiceEmail;
	
	OPEN SysSettingsValueCursor
	FETCH NEXT FROM SysSettingsValueCursor INTO
		@SupportServiceEmailTextValue
	WHILE @@FETCH_STATUS = 0
	BEGIN
		IF @SupportServiceEmailTextValue <> ''
		BEGIN
			SELECT @SupportServiceEmailId = [Id]
			FROM [MailboxSyncSettings]
				WHERE [SenderEmailAddress] = @SupportServiceEmailTextValue;
			IF @SupportServiceEmailId IS NOT NULL
			BEGIN
				IF (SELECT [GuidValue]
					FROM [SysSettingsValue]
					WHERE [SysSettingsId] = @SSpRegistrationMailboxSettingId) IS NULL
				BEGIN
					UPDATE [SysSettingsValue]
						SET [GuidValue] = @SupportServiceEmailId
					WHERE [SysSettingsId] = @SSpRegistrationMailboxSettingId;
				END;				
			END;
			BREAK;
		END;
		FETCH NEXT FROM SysSettingsValueCursor INTO
		@SupportServiceEmailTextValue
	END
	CLOSE SysSettingsValueCursor
	DEALLOCATE SysSettingsValueCursor
END